import { r as registerInstance, h, H as Host } from './index-e04a7bc5.js';
import { B as BEM } from './bem-8c7d2eb0.js';

const NavigationMetaEnd = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        const metaEndEl = BEM.block('nav').element('meta').element('end');
        return (h(Host, { class: Object.assign({}, metaEndEl.class()) }, h("slot", null)));
    }
};

export { NavigationMetaEnd as bal_navigation_meta_end };
